Subject: 30.0.50; inconsistent warning-display-at-bottom display-buffer-alist behavior

From: Gerard Vermeulen <[email-masked]>
Date: Mon, 06 May 2024 06:06:03 +0000

Hi,

if I set warning-display-at-bottom to nil and do

(add-to-list 'display-buffer-alist
                `(,(rx (or "*Warnings*" "*compilation*"))
                  display-buffer-no-window
                  (allow-no-window . t)))

then warnings are added to the hidden *Warnings* buffer.

But if I set warning-display-at-bottom to t, then I get an
window-live-p related error with the display-buffer-alist
setting above.

This bug is related to #70773 where Prot reports a similar
problem in a somewhat different context.
Juri Linkov proposed a patch which he retracted, but maybe
his patch solves the inconsistency reported here.

Regards -- Gerard